[Support request] Getting error messages when I try to Child Theme Configurator plugin

Home Forums Support [Support request] Getting error messages when I try to Child Theme Configurator plugin

Home Forums Support Getting error messages when I try to Child Theme Configurator plugin

Viewing 2 posts - 1 through 2 (of 2 total)
  • Author
    Posts
  • #702527
    Brendan

    I’m trying to create a GeneratePress child theme with the Child Theme Configurator plugin. When I click the “Analyze” button, it is giving me this set of error messages:

    The theme “GeneratePress” generated unexpected PHP debug output.

    Warning: Cannot modify header information – headers already sent by (output started at /home/eat4eart/public_html/wp-content/plugins/postaffiliatepro/Widget/TopAffiliates.class.php:168) in /home/eat4eart/public_html/wp-content/plugins/sg-cachepressx/class-sg-cachepress.php on line 315

    Warning: Cannot modify header information – headers already sent by (output started at /home/eat4eart/public_html/wp-content/plugins/postaffiliatepro/Widget/TopAffiliates.class.php:168) in /home/eat4eart/public_html/wp-content/plugins/sg-cachepressx/class-sg-cachepress.php on line 327

    By the way, I don’t know whether I’m using version 2.1.4 or 1.7.2 because in two places it indicatesx 2.1.4 and in another place it indicates 1.7.2.

    GeneratePress 2.1.4

    I updated the theme on the weekend.

    In the past I used Child Theme Configurator successfully with an older version of GeneratePress on another website where the theme has not yet been updated.

    GeneratePress 2.1.4
    GP Premium 1.7.2
    #702588
    Leo
    Staff
    Customer Support

    Hi there,

    Not sure how Child Theme Configurator plugin works but you shouldn’t need it as you can download a blank child theme here:
    https://docs.generatepress.com/article/using-child-theme/

    Looks like the errors are coming directly from other plugins so you might have to check with the plugin author.

    The latest version for the free GeneratePress theme is 2.1.4 and latest version of GP premium plugin is 1.7.2.

    Let me know if this helps 🙂

Viewing 2 posts - 1 through 2 (of 2 total)
  • You must be logged in to reply to this topic.